Name:		perl-perl5i
Summary:	Fix as much of Perl 5 as possible in one pragma
Version:	2.12.0
Release:	2%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/perl5i
Source0:	http://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/perl5i-v%{version}.tar.gz
# Module Build
BuildRequires:	perl(Module::Build) >= 0.36
# Module Runtime
BuildRequires:	perl >= 4:5.10.0
BuildRequires:	perl(CLASS) >= 1.00
BuildRequires:	perl(Capture::Tiny) >= 0.06
BuildRequires:	perl(Carp::Fix::1_25) >= 1.000000
BuildRequires:	perl(Child) >= 0.009
BuildRequires:	perl(DateTime) >= 0.47
BuildRequires:	perl(DateTime::Format::Epoch) >= 0.11
BuildRequires:	perl(DateTime::TimeZone::Tzfile) >= 0.002
BuildRequires:	perl(Devel::Declare::MethodInstaller::Simple) >= 0.006009
BuildRequires:	perl(Digest::MD5) >= 2.36
BuildRequires:	perl(Digest::SHA) >= 5.45
BuildRequires:	perl(File::chdir) >= 0.1002
BuildRequires:	perl(Hash::FieldHash) >= 0.06
BuildRequires:	perl(Hash::Merge::Simple) >= 0.04
BuildRequires:	perl(Hash::StoredIterator) >= 0.005
BuildRequires:	perl(IPC::System::Simple) >= 1.18
BuildRequires:	perl(JSON) >= 2.17
BuildRequires:	perl(List::MoreUtils) >= 0.22
BuildRequires:	perl(Modern::Perl) >= 1.03
BuildRequires:	perl(Module::Load) >= 0.16
BuildRequires:	perl(Object::ID) >= v0.1.0
BuildRequires:	perl(Perl6::Caller) >= 0.100
BuildRequires:	perl(Taint::Util) >= 0.06
BuildRequires:	perl(Text::Wrap) >= 2009.0305
BuildRequires:	perl(Time::y2038)
BuildRequires:	perl(Try::Tiny) >= 0.02
BuildRequires:	perl(Want) >= 0.18
BuildRequires:	perl(YAML::Any) >= 0.70
BuildRequires:	perl(autobox) >= 2.70
BuildRequires:	perl(autobox::Core) >= 1.0
BuildRequires:	perl(autobox::List::Util) >= 20090629
BuildRequires:	perl(autobox::dump) >= 20090426
BuildRequires:	perl(autodie) >= 2.12
BuildRequires:	perl(autovivification) >= 0.06
BuildRequires:	perl(base)
BuildRequires:	perl(constant)
BuildRequires:	perl(indirect) >= 0.24
BuildRequires:	perl(mro)
BuildRequires:	perl(open)
BuildRequires:	perl(overload)
BuildRequires:	perl(parent) >= 0.221
BuildRequires:	perl(true::VERSION) >= 0.16
BuildRequires:	perl(utf8::all) >= 0.002
BuildRequires:	perl(version) >= 0.77
# Test Suite
BuildRequires:	perl(ExtUtils::CBuilder) >= 0.26
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Output) >= 0.16
BuildRequires:	perl(Test::Warn) >= 0.11
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(CLASS) >= 1.00
Requires:	perl(Capture::Tiny) >= 0.06
Requires:	perl(Carp::Fix::1_25) >= 1.000000
Requires:	perl(Child) >= 0.009
Requires:	perl(DateTime) >= 0.47
Requires:	perl(DateTime::Format::Epoch) >= 0.11
Requires:	perl(DateTime::TimeZone::Tzfile) >= 0.002
Requires:	perl(Devel::Declare::MethodInstaller::Simple) >= 0.006009
Requires:	perl(Digest::MD5) >= 2.36
Requires:	perl(Digest::SHA) >= 5.45
Requires:	perl(File::chdir) >= 0.1002
Requires:	perl(Hash::FieldHash) >= 0.06
Requires:	perl(Hash::Merge::Simple) >= 0.04
Requires:	perl(Hash::StoredIterator) >= 0.005
Requires:	perl(IPC::System::Simple) >= 1.18
Requires:	perl(JSON) >= 2.17
Requires:	perl(List::MoreUtils) >= 0.22
Requires:	perl(Modern::Perl) >= 1.03
Requires:	perl(Module::Load) >= 0.16
Requires:	perl(Object::ID) >= v0.1.0
Requires:	perl(Perl6::Caller) >= 0.100
Requires:	perl(Taint::Util) >= 0.06
Requires:	perl(Text::Wrap) >= 2009.0305
Requires:	perl(Try::Tiny) >= 0.02
Requires:	perl(Want) >= 0.18
Requires:	perl(YAML::Any) >= 0.70
Requires:	perl(autobox) >= 2.70
Requires:	perl(autobox::Core) >= 1.0
Requires:	perl(autobox::List::Util) >= 20090629
Requires:	perl(autobox::dump) >= 20090426
Requires:	perl(autodie) >= 2.12
Requires:	perl(autovivification) >= 0.06
Requires:	perl(indirect) >= 0.24
Requires:	perl(parent) >= 0.221
Requires:	perl(true::VERSION) >= 0.16
Requires:	perl(utf8::all) >= 0.002

# Filter underspecified dependencies
%global __requires_exclude ^perl\\(CLASS\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Carp::Fix::1_25\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Hash::FieldHash\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Hash::StoredIterator\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Module::Load\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Try::Tiny\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Want\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autobox\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autobox::Core\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autobox::List::Util\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autobox::dump\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autodie\\)$
%global __requires_exclude %__requires_exclude|^perl\\(autovivification\\)$
%global __requires_exclude %__requires_exclude|^perl\\(parent\\)$

%description
Perl 5 has a lot of warts. There's a lot of individual modules and techniques
out there to fix those warts. perl5i aims to pull the best of them together
into one module so you can turn them on all at once.
 
This includes adding features, changing existing core functions and changing
defaults. It will likely not be 100%% backwards compatible with Perl 5, though
it will be 99%%, perl5i will try to have a lexical effect.
 
Please add to this imaginary world and help make it real, either by telling
me what Perl looks like in your imagination
(http://github.com/schwern/perl5i/issues) or make a fork (forking on github is
like a branch you control) and implement it yourself.

%prep
%setup -q -n perl5i-v%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes LICENSE README
%{_bindir}/perl5i
%{perl_vendorlib}/perl5i.pm
%{perl_vendorlib}/perl5i/
%doc %{perl_vendorlib}/perl5ifaq.pod
%{_mandir}/man3/perl5i.3pm*
%{_mandir}/man3/perl5i::Meta.3pm*
%{_mandir}/man3/perl5i::Signature.3pm*
%{_mandir}/man3/perl5i::latest.3pm*
%{_mandir}/man3/perl5ifaq.3pm*

%changelog
* Mon Aug 19 2013 Paul Howarth <paul@city-fan.org> - 2.12.0-2
- Sanitize for Fedora submission

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 2.12.0-1
- Initial RPM version
